function ss = Pei_Ying_Lin_2007_ss(k,data,ss)

time = data.ydata(:,1);
SGli_obs = data.ydata(:,2);
SHAc_obs = data.ydata(:,3);
SHBu_obs = data.ydata(:,4);
X1_obs   = data.ydata(:,6);
V_H2_obs=data.ydata(:,7);
%%

y0   = data.y0;
options = odeset('RelTol', 1e-15, 'AbsTol', 1e-15);
[t,y] = ode15s(@(t,y,k) Pei_Ying_Lin_2007_ode1(t,y,k),time,y0,options,k);
SGli_mod = y(:,1);
SHAc_mod = y(:,2);
SHBu_mod = y(:,3);
X1_mod   = y(:,5);
%%
%Physicochemical parameter values
%==========================================================================
%Parameter Value Unit
%..........................................................................
R = 0.083145;%bar l mol^-1 K^-1
T = 298.15;%k
P = 1;%bar
V = 0.08;%l
%..........................................................................
V_H2_mod = y(:,7)*V*R*T/P;
%%
A=sum((SGli_obs-SGli_mod).^2);
a=sum((SGli_obs-SGli_mod).*(SHAc_obs-SHAc_mod));
b=sum((SGli_obs-SGli_mod).*(SHBu_obs-SHBu_mod));
c=sum((SGli_obs-SGli_mod).*(X1_obs-X1_mod));
d=sum((SGli_obs-SGli_mod).*(V_H2_obs-V_H2_mod));

B=sum((SHAc_obs-SHAc_mod).^2);
f=sum((SHAc_obs-SHAc_mod).*(SHBu_obs-SHBu_mod));
g=sum((SHAc_obs-SHAc_mod).*(X1_obs-X1_mod));
h=sum((SHAc_obs-SHAc_mod).*(V_H2_obs-V_H2_mod));

C=sum((SHBu_obs-SHBu_mod).^2);
j=sum((SHBu_obs-SHBu_mod).*(X1_obs-X1_mod));
k=sum((SHBu_obs-SHBu_mod).*(V_H2_obs-V_H2_mod));

D=sum((X1_obs-X1_mod).^2);
m=sum((X1_obs-X1_mod).*(V_H2_obs-V_H2_mod));

E=sum((V_H2_obs-V_H2_mod).^2);

Z=[A a b c d; a B f g h; b f C j k; c g j D m; d h k m E];
ss=det(Z)
%ss=A+B+C+D+E